Subject: [linux-pm] [RFC PATCH 00/11] OMAP System Control Module

From: [email-masked] (Kevin Hilman)
Date: Thu, 31 May 2012 17:12:31 -0700

Hi Eduardo,

Eduardo Valentin <[email-masked]> writes:

> Hello Paul and Tony,
>
> This is a series of patches adding a basic support for system control module,
> on OMAP4+ context. It is a working in progress, but I wanted to share already
> to get your feedback.

This is a great start, thanks for working on this.  We have been needing
to do this for awhile now so I'm glad to see you working on it.

> I've modeled the driver as an MFD. You will see in this series:
> . A rework of the system control module header (patch from Santosh, picked from the list)
> . Device creation for control module core
> . Early device creation for control module core
> . The MFD core driver for system control module
> . The MFD child for usb-phy pin control
> . The MFD child for bandgap sensor
> . Very early exposure of OMAP4 thermal zone
> . All added drivers are only supporting DT probing
> . The series is based on linux-omap master, as it has the hwmod entries for SCM.
>
> The overall idea of this series is to put in place the infrastructure. It is
> not touching nor removing the existing APIs under mach-omap2/control.c for now.
> But the target is to have these APIs moved to the MFD core driver.

IMO, the best time to create the APIs is when the new MFD children are
created.

The goal should be that none of these drivers should be doing direct
read/writes to the control module.

Kevin